Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 232282

Summary: Click OK button 2 times resets Keymap profile to default
Product: editor Reporter: MackSix
Component: Key bindingsAssignee: Svata Dedic <sdedic>
Status: VERIFIED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P2 CC: markiewb, mmirilovic, musilt2
Version: 7.4Keywords: REGRESSION
Target Milestone: 7.4   
Hardware: PC   
OS: Windows 7   
Whiteboard: 74beta-stopper
Issue Type: DEFECT Exception Report:

Description MackSix 2013-07-04 19:15:30 UTC
1. Choose Tools>>Options>>Keymap
2. Choose Eclipse Profile and click OK Button.
3. Reopen Options and view Keymap. Eclipse Profile is still active.
4. Click OK Button.
5. Reopen Options and view Keymap. Profile has switched back to NetBeans for no reason.

Expected: Eclipse Profile remains active.

Product Version: NetBeans IDE Dev (Build 201307032300)
Java: 1.7.0_25; Java HotSpot(TM) 64-Bit Server VM 23.25-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_25-b16
System: Windows 7 version 6.1 running on amd64; Cp1252; en_US (nb)
Comment 1 Svata Dedic 2013-07-04 19:19:40 UTC
Please read bug guidelines; use bug priorities appropriately. If in doubt, leave on default for QA/dev to assign an appropriate priority upon evaluation.
Comment 2 MackSix 2013-07-04 20:04:43 UTC
(In reply to comment #1)
> Please read bug guidelines; use bug priorities appropriately. If in doubt,
> leave on default for QA/dev to assign an appropriate priority upon evaluation.

This is regression, the guidelines say P1 for regression. If that is not correct, the guidelines need to be changed or clarified.
Comment 3 Svata Dedic 2013-07-04 20:12:12 UTC
Please take the P1 [all] detailed description as a context; all talk about unavoidable error, data loss or another condition that degrades the product as a whole in some way. I don't want to play ping-pong with priorities or word nitpicking. The IDE overall remains usable; keymaps are important, but sadly not essential part of the workflow.

Marian as the lead QA will decide on the priority; thanks.
Comment 4 MackSix 2013-07-04 20:27:20 UTC
(In reply to comment #3)
> Please take the P1 [all] detailed description as a context; all talk about
> unavoidable error, data loss or another condition that degrades the product as
> a whole in some way. I don't want to play ping-pong with priorities or word
> nitpicking. The IDE overall remains usable; keymaps are important, but sadly
> not essential part of the workflow.
> 
> Marian as the lead QA will decide on the priority; thanks.

I have been in NetCat 7.1-7.4 and reporting many bugs this way. I have asked this question before in NetCat and on other bugs after setting them to P1 as well as setting them back to P1 after they got changed and nobody complained until now.

The chart just simply lists P1 as a reason with no explanation of how to read it, so that is why I have always done it this way.

I will set it back to P3. :)
Comment 5 MackSix 2013-07-04 20:28:52 UTC
**correction--> ... simply lists regression under P1 as a reason ...
Comment 6 Svata Dedic 2013-07-04 20:54:22 UTC
No need to defend yourself. If me and you cannot agree on a priority, it's best to ask the person who made/maintains the rules to assign the appropriate one - maybe I was mistaken in my assessment either.

The defect is going to be fixed (I hope for Beta) in 7.4 anyway.
Comment 7 markiewb 2013-07-04 20:57:06 UTC
(In reply to comment #6)
> The defect is going to be fixed (I hope for Beta) in 7.4 anyway.

That's the spirit! +1
Comment 8 Marian Mirilovic 2013-07-07 12:00:11 UTC
For me this is more P2 - Product feature doesn't work, a workaround may exist but it's difficult to use or impractical.

Also agree on fixing in Beta - finally (must) in FCS.
Comment 9 Svata Dedic 2013-07-08 08:32:39 UTC
Fixed in http://hg.netbeans.org/jet-main/rev/63ad14f5a176
Comment 10 Jiri Prox 2013-07-09 06:54:52 UTC
verified in trunk
please integrate the fix into beta branch 

thanks
Comment 11 Tomas Danek 2013-07-09 13:54:22 UTC
please integrate to beta by today's COB, thanks in advance.
Comment 12 Svata Dedic 2013-07-09 14:27:35 UTC
manually transplanted as http://hg.netbeans.org/releases/rev/4c73f2ecfefe
Comment 13 Quality Engineering 2013-07-10 02:43:15 UTC
Integrated into 'releases/release74_beta1', will be available in build *201307092200* or newer. Wait for official and publicly available build.

Changeset: http://hg.netbeans.org/releases/rev/4c73f2ecfefe
User: Svata Dedic <sdedic@netbeans.org>
Log: #232282: take the current profile value if profile was unchanged
(transplanted from 63ad14f5a1765d8193781197072c4cc4b69854ea)
Comment 14 Jiri Prox 2013-07-10 11:46:14 UTC
verified in 7.4 beta
Comment 15 Quality Engineering 2013-07-12 02:33:00 UTC
Integrated into 'main-silver', will be available in build *201307112300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/63ad14f5a176
User: Svata Dedic <sdedic@netbeans.org>
Log: #232282: take the current profile value if profile was unchanged
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo